/beta/dark_oil/terminals#
Fetch terminal information from dark oil terminals
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/beta/dark_oil/terminals |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/beta/dark_oil/terminals" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
dark_oil_terminals_resp = hyperion_api_client.dark_oil_terminals()
dark_oil_terminals_df = dark_oil_terminals_resp.df()
dark_oil_terminals_df.head()
# Example of a Windows PowerShell request to the dark_oil_terminals endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{
`"terminal`": [`"Kharg West`"]
}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/beta/dark_oil/terminals' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
country |
string array |
An array of strings |
— |
oil_grade |
string array |
An array of strings |
— |
oil_type |
string array |
An array of strings |
— |
port |
string array |
An array of strings |
— |
terminal |
string array |
An array of strings |
— |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
country |
string |
The country of the terminal |
United States |
latitude |
number |
The latitude of the terminal |
29.7604 |
longitude |
number |
The longitude of the terminal |
-95.3698 |
oil_grade |
string |
The grade of oil the terminal handles |
Light Sweet |
oil_type |
string |
The type of oil the terminal handles |
Crude |
port |
string |
The port the terminal is located at |
Houston Ship Channel |
terminal |
string |
Terminal name |
Port of Houston |
terminal_id |
string |
The unique identifier for the terminal |
TERMINAL_001 |